%define oname   atomic

Name:       ruby-%{oname}
Version:    1.1.14
Release:    %mkrel 5
Summary:    An atomic reference implementation for JRuby, Rubinius, and MRI
Group:      Development/Ruby
License:    ASL 2.0
URL:        http://github.com/headius/ruby-atomic
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     atomic-1.1.10-file-list.patch
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
This library provides:

* an Atomic class that guarantees atomic updates to its contained value

The Atomic class provides accessors for the contained "value" plus two
update methods:

* update will run the provided block, passing the current value and
  replacing it with the block result iff the value has not been changed
  in the mean time. It may run the block repeatedly if there are other
  concurrent updates in progress.
* try_update will run the provided block, passing the current value and
  replacing it with the block result. If the value changes before the
  update can happen, it will throw Atomic::ConcurrentUpdateError.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%apply_patches

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext

%files
%{gem_instdir}/
%{gem_extdir_mri}
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.1.14-5.mga4
+ Revision: 561723
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.1.14-4.mga4
+ Revision: 561051
- Fix gem macros

* Sat Dec 21 2013 pterjan <pterjan> 1.1.14-3.mga4
+ Revision: 559629
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1.1.14-2.mga4
+ Revision: 538824
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 pterjan <pterjan> 1.1.14-1.mga4
+ Revision: 490451
- 1.1.14

* Fri Sep 20 2013 pterjan <pterjan> 1.1.10-3.mga4
+ Revision: 481863
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 1.1.10-2.mga4
+ Revision: 476508
- Fix file list
- Patch gemspec to build without being inside a git checkout

* Thu Jun 27 2013 fwang <fwang> 1.1.10-1.mga4
+ Revision: 447489
- update file list
- imported package ruby-atomic

